Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyParameter

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyParameter

- All Implemented Interfaces and Traits:
    GroovyParameter

      public class SimpleGroovyParameter
      extends Object
      implements GroovyParameter

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyParameter(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addAnnotationRef(GroovyAnnotationRef ref)`
    `` | `public GroovyAnnotationRef[]` | `annotations()`
    `` | `public String` | `defaultValue()`
    `` | `public boolean` | `isTypeAvailable()`
    `` | `public String` | `name()`
    `` | `public void` | `setDefaultValue(String defaultValue)`
    `` | `public void` | `setType(GroovyType type)`
    `` | `public void` | `setTypeName(String typeName)`
    `` | `public void` | `setVararg(boolean vararg)`
    `` | `public GroovyType` | `type()`
    `` | `public String` | `typeName()`
    `` | `public boolean` | `vararg()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SimpleGroovyParameter(String name)

  - ### Method Detail

    - #### public void addAnnotationRef(GroovyAnnotationRef ref)

    - #### @Override public GroovyAnnotationRef[] annotations()

    - #### @Override public String defaultValue()

    - #### public boolean isTypeAvailable()

    - #### @Override public String name()

    - #### public void setDefaultValue(String defaultValue)

    - #### public void setType(GroovyType type)

    - #### public void setTypeName(String typeName)

    - #### public void setVararg(boolean vararg)

    - #### @Override public GroovyType type()

    - #### @Override public String typeName()

    - #### public boolean vararg()